<?php
$woocommerce_category_buttons_options = get_option('woocommerce_category_buttons_option_name'); // Array of All Options
$display_in_store_0 = $woocommerce_category_buttons_options['display_in_store_0']; // Display in store
$store_display_style_1 = $woocommerce_category_buttons_options['store_display_style_1']; // Store display style
$shortcode_display_style_2 = $woocommerce_category_buttons_options['shortcode_display_style_2']; // Shortcode display style
//$custom_title_3 = $woocommerce_category_buttons_options['custom_title_3']; // Custom title
//$custom_description_4 = $woocommerce_category_buttons_options['custom_description_4']; // Custom description
$images_5 = $woocommerce_category_buttons_options['images_5']; // Images
$ryvenia_style_settings_options = get_option('ryvenia_style_settings_option_name'); // Array of All Options
$columns_desktop_0 = $ryvenia_style_settings_options['columns_desktop_0']; // Columns Desktop
$columns_tablet_1 = $ryvenia_style_settings_options['columns_tablet_1']; // Columns Tablet
$columns_mobile_2 = $ryvenia_style_settings_options['columns_mobile_2']; // Columns Mobile
$background_color_3 = $ryvenia_style_settings_options['background_color_3']; // Background color
$text_color_4 = $ryvenia_style_settings_options['text_color_4']; // Text color
$border_radius_5 = $ryvenia_style_settings_options['border_radius_5']; // Border radius
$border_color_6 = $ryvenia_style_settings_options['border_color_6']; // Border color
$title_font_size_7 = $ryvenia_style_settings_options['title_font_size_7']; // Title font size
$description_font_size_8 = $ryvenia_style_settings_options['description_font_size_8']; // Description font size
$buttons_font_size_9 = $ryvenia_style_settings_options['buttons_font_size_9']; // Buttons font size
$custom_css_10 = $ryvenia_style_settings_options['custom_css_10']; // Custom CSS
?>
<style type="text/css">
  .term-description {
    display: none;
  }

  /*Main div for category menu*/
  .ryveniacat {
    display: grid;
    margin-bottom: 20px;
    grid-template-columns: repeat(<?php echo $columns_desktop_0 ?>, 1fr);
    gap: 10px;
  }

  /*div for category box*/
  .ryveniacatcolumn {
    display: flex;
    border-radius: <?php echo esc_html($border_radius_5); ?>;
    -webkit-box-shadow: inset 0 -1px 0 0 rgba(0, 0, 0, .1);
    box-shadow: inset 0 -1px 0 0 rgba(0, 0, 0, .1);
    background-color: <?php echo esc_html($background_color_3); ?>;
    border: 1px solid <?php echo esc_html($border_color_6); ?>;
    height: 50px;
    width: 100%;
    text-decoration: none;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    overflow: hidden;
    <?php
    if ($images_5 == "hide-images") {
      echo esc_html("padding-left: 10px;");
      echo esc_html("padding-right: 10px;");
    };
    ?>
  }

  /*div for category title*/
  .ryveniacattitle h2 {
    font-size: <?php echo esc_html($title_font_size_7); ?>;
  }

  /*div for category description*/
  .ryveniacatdesc {
    font-size: <?php echo esc_html($description_font_size_8); ?>;
  }

  /*div for category box title*/
  .ryveniacattext {
    font-size: <?php echo esc_html($buttons_font_size_9); ?>;
    color: <?php echo esc_html($text_color_4); ?>;
  }

  /*div for category box img*/
  .ryveniacatimg {
    <?php
    if ($images_5 == "hide-images") {
      echo esc_html("display: none;");
    };
    if ($images_5 == "display-images") {
      echo esc_html("");
    };
    ?>margin: 0 10px;
  }

  /*div for category box arrow*/
  .ryveniacatarrow {}

  /*Turn off text decoration from arrow*/
  .ryveniacatarrow:link {}

  /*Edit size category box img*/
  .ryveniacatimg img {
    width: 50px;
    height: 50px;
    object-fit: contain;
  }

  /*@media only screen and (max-width: 1000px) {
  .ryveniacatcolumn{
	  margin: 4px;
    width: calc(33.33% - 8px);
  }
} */ 

  @media only screen and (max-width: 950px) {
    .ryveniacat {
    grid-template-columns: repeat(<?php echo $columns_tablet_1 ?>, 1fr);
  }

  }

  @media only screen and (max-width: 650px) {
    .ryveniacat {
    grid-template-columns: repeat(<?php echo $columns_mobile_2 ?>, 1fr);
  }
  }


  <?php echo esc_html($custom_css_10); ?>;
</style>